REM ***********************************************************
REM ** Batch file to copy XCar data from stand-alone paintshop
REM

ECHO OFF

IF NOT "%1" == "" GOTO CONT
ECHO ************************************************************
ECHO XCar paintshop copy utility. Used to copy modfied car data
ECHO from the stand-alone paintshop to the installed, full game.
ECHO ------------------------------------------------------------
ECHO Usage:
ECHO   COPYCAR [CAR#] [DEST]
ECHO --
ECHO    CAR# is one of the following.
ECHO      0......XCar.          1......Roland.
ECHO      2......Edelbrock.     3......Monroe.
ECHO      4......Quaker State.  5......Hoosier.
ECHO      6......Rain X.        7......Kenwood.
ECHO      8......Spam.          9......Yokohama.
ECHO      10.....Armor All.     11.....Dupont.
ECHO      12.....Meguiar's.     13.....Mac Tools.
ECHO      14.....Midas.         15.....Champion.
ECHO --
ECHO    DEST is the path of the installed XCar game (ie. C:\XCAR)
ECHO For example, if you wish to copy the Armor All car and you
ECHO installed XCar to C:\XCAR, you would type:
ECHO    COPYCAR 10 C:\XCAR
ECHO ************************************************************
GOTO END

:CONT
SET SP=TEXTURES

IF NOT "%1" == "0" GOTO CAR1A
copy %SP%\texture.225 %2\%SP%

:CAR1A
IF NOT "%1" == "1" GOTO CAR2A
copy %SP%\texture.213 %2\%SP%

:CAR2A
IF NOT "%1" == "2" GOTO CAR3A
copy %SP%\texture.210 %2\%SP%

:CAR3A
IF NOT "%1" == "3" GOTO CAR4A
copy %SP%\texture.212 %2\%SP%

:CAR4A
IF NOT "%1" == "4" GOTO CAR5A
copy %SP%\texture.211 %2\%SP%

:CAR5A
IF NOT "%1" == "5" GOTO CAR6A
copy %SP%\texture.214 %2\%SP%

:CAR6A
IF NOT "%1" == "6" GOTO CAR7A
copy %SP%\texture.215 %2\%SP%

:CAR7A
IF NOT "%1" == "7" GOTO CAR8A
copy %SP%\texture.216 %2\%SP%

:CAR8A
IF NOT "%1" == "8" GOTO CAR9A
copy %SP%\texture.219 %2\%SP%

:CAR9A
IF NOT "%1" == "9" GOTO CAR10A
copy %SP%\texture.222 %2\%SP%

:CAR10A
IF NOT "%1" == "10" GOTO CAR11A
copy %SP%\texture.217 %2\%SP%

:CAR11A
IF NOT "%1" == "11" GOTO CAR12A
copy %SP%\texture.231 %2\%SP%

:CAR12A
IF NOT "%1" == "12" GOTO CAR13A
copy %SP%\texture.223 %2\%SP%

:CAR13A
IF NOT "%1" == "13" GOTO CAR14A
copy %SP%\texture.230 %2\%SP%

:CAR14A
IF NOT "%1" == "14" GOTO CAR15A
copy %SP%\texture.221 %2\%SP%

:CAR15A
IF NOT "%1" == "15" GOTO DONE
copy %SP%\texture.224 %2\%SP%

:DONE
SET SP=

:END
